Bug 108831 - PGP signature shown as invalid
Summary: PGP signature shown as invalid
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1 target:5.4.0
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-06-28 10:19 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-07-17 20:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-28 10:19:55 UTC
After signing with PGP, the signature is shown as invalid, although it should be valid.
Comment 1 Commit Notification 2017-07-14 15:14:07 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bdbebda1d80f538f946b14042a366029f90d4820

tdf#108831 PGP signature shown as invalid

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-07-14 16:23:15 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0e8d86d861ca412cb0e7c8d713255f92ac79a9d&h=libreoffice-5-4

tdf#108831 PGP signature shown as invalid

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-07-17 20:47:16 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=da697c193088cd4301ecc345f0fa18182090762c&h=libreoffice-5-4-0

tdf#108831 PGP signature shown as invalid

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.